import * as express from "express";
export declare class SamlProvider {
    static profileMapper(pu: any): any;
    static remoteip(req: express.Request): string;
    static configure(app: express.Express, baseurl: string): void;
}
